Skip to main content
PUT

Authorizations

x-publisher-token
string
header
required

Publisher token, as displayed in the Publisher Dashboard.

Path Parameters

externalId
string
required

Design ID that you defined.

Body

application/json

Updates a store refresh popup design.

offerUiType
enum<string>

Type of offer design.

Available options:
PopUp
name
string

Offer design name.

externalId
string

Design ID that you define.

backgroundImageUrl
string<url>

Background image URL in PNG or JPEG format.

For uploaded files, this is the Appcharge-hosted CDN URL. For external image URLs, this is the original image URL served from the provided URL. External image URLs are saved and used as-is, and Appcharge doesn't download, copy, upload, or host them. Images must remain available at the provided URLs.

We recommend uploading image files instead of using external URLs when possible.

title
object
offerUiSubType
enum<string>

Popup design subtype. Use StoreRefresh for store refresh popup designs.

Available options:
StoreRefresh

Response

Offer design updated successfully.

id
string

Design ID.

offerUiType
enum<string>

Type of offer design.

Available options:
PopUp
name
string

Offer design name.

externalId
string

Design ID that you defined.

backgroundImageUrl
string<url>

Background image URL. For uploaded files, this is the Appcharge-hosted CDN URL. For external image URLs, this is the original image URL served from the provided URL.

title
object
externalBackgroundImageUrl
string<url>

Original background image URL when the design uses an external image URL. This URL is used as provided to serve the image.

offerUiSubType
enum<string>

Popup design subtype. Use StoreRefresh for store refresh popup designs.

Available options:
StoreRefresh